## madbomber 0.1.8

=== Makefile ===
# Makefile for madbomber

# by Bill Kendrick
# bill@newbreedsoftware.com
# http://www.newbreedsoftware.com/

# October 25, 1999 - June 30, 2000


# User-definable stuff:

BIN_PREFIX=/usr/local/bin/
DATA_PREFIX=/usr/share/madbomber/


# Defaults for Linux:

TARGET=madbomber
TARGET_DEF=LINUX
SDL_CFLAGS := $(shell sdl-config --cflags)
SDL_LDFLAGS := $(shell sdl-config --libs)


# Sound-related definitions:

MIXER=-lSDL_mixer
IMAGE=-lSDL_image
NOSOUNDFLAG=__SOUND


# Stuff we pass to the compiler:

CFLAGS=-Wall $(SDL_CFLAGS) \
	-DDATA_PREFIX=\"$(DATA_PREFIX)\" -D$(NOSOUNDFLAG) -D$(TARGET_DEF)
SDL_LIB=$(MIXER) $(IMAGE) $(SDL_LDFLAGS)


# Make commands:

all:	$(TARGET)

install:
	mkdir -p $(DATA_PREFIX)
	cp -r data/* $(DATA_PREFIX)
	chown -R root.root $(DATA_PREFIX)
	chmod -R a+rX,g-w,o-w $(DATA_PREFIX)
	cp madbomber $(BIN_PREFIX)
	chown root.root $(BIN_PREFIX)/madbomber
	chmod a+rx,g-w,o-w $(BIN_PREFIX)/madbomber


nosound:
	make $(TARGET) MIXER= NOSOUNDFLAG=NOSOUND

win32:
	make TARGET_DEF=WIN32 TARGET=madbomber.exe \
		DATA_PREFIX=data/ IMAGE="-lSDL_image -lpng -lz"
	cp /usr/local/cross-tools/i386-mingw32/lib/SDL*.dll .
	chmod 644 SDL*.dll

clean:
	-rm madbomber madbomber.exe
	-rm *.o
	-rm SDL*.dll


# Main executable:

$(TARGET):	madbomber.o
	$(CC) $(CFLAGS) madbomber.o -o $(TARGET) $(SDL_LIB) -lm


# Main object:

madbomber.o:	madbomber.c

## madbomber 0.2.4

=== Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 # by Bill Kendrick
 # bill@newbreedsoftware.com
-# http://www.newbreedsoftware.com/
+# http://www.newbreedsoftware.com/madbomber/
 
-# October 25, 1999 - June 30, 2000
+# October 25, 1999 - April 14, 2002
 
 
 # User-definable stuff:
@@ -58,6 +58,16 @@
 	cp /usr/local/cross-tools/i386-mingw32/lib/SDL*.dll .
 	chmod 644 SDL*.dll
 
+embedded:
+	make TARGET_DEF=EMBEDDED MIXER= \
+		DATA_PREFIX=/opt/QtPalmtop/share/madbomber/ \
+		SDL_LIB="/usr/local/arm/lib/libSDL_mixer.a /usr/local/arm/lib/libSDL.a -L/opt/Qtopia/sharp/lib -lpthread -lqpe -lqte" \
+		CC=/usr/local/arm/bin/arm-linux-gcc
+	/usr/local/arm/bin/arm-linux-strip ${TARGET}
+
+emtest:
+	make $(TARGET) TARGET_DEF=EMBEDDED DATA_PREFIX=e/
+
 clean:
 	-rm madbomber madbomber.exe
 	-rm *.o

## madbomber 0.2.5

=== Makefile ===
--- 
+++ 
@@ -72,6 +72,7 @@
 	-rm madbomber madbomber.exe
 	-rm *.o
 	-rm SDL*.dll
+	-rm madbomber*.ipk
 
 
 # Main executable:

=== debian/changelog ===
madbomber (0.2.5-5) unstable; urgency=low

  * repackage with debhelper 8
  * Switch to dpkg-source 3.0 (quilt) format
  * updated Standards-Version to 3.9.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Tue, 25 Oct 2011 20:06:01 +0200

madbomber (0.2.5-4) unstable; urgency=low

  * do not call obsolete dh_desktop
  * add ${misc:Depends} to binary package's debian/control entry
  * updated Standards-Version to 3.8.3 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Tue, 06 Oct 2009 22:22:29 +0200

madbomber (0.2.5-3) unstable; urgency=low

  * install a desktop file (closes: #478923)

 -- Christian T. Steigies <cts@debian.org>  Sun, 15 Jun 2008 18:21:00 +0200

madbomber (0.2.5-2) unstable; urgency=low

  * updated Standards-Version to 3.7.3, use section Games/Action according
    to the menu policy
  * do not ignore make clean error
  * use debian/compat and use compat version 5

 -- Christian T. Steigies <cts@debian.org>  Fri, 21 Mar 2008 20:59:47 +0100

madbomber (0.2.5-1) unstable; urgency=low

  * new upstream version
  * updated watch file
  * use current debhelper
  * updated Standards-Version to 3.7.0 (no changes)
  * do not ship images for the embedded version of madbomber

 -- Christian T. Steigies <cts@debian.org>  Wed,  3 May 2006 22:20:00 +0000

madbomber (0.2.4-4) unstable; urgency=low

  * copyright is with the author (closes: #336901)
  * updated Standards-Version to 3.6.2 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Tue,  3 Jan 2006 22:55:29 +0100

madbomber (0.2.4-3) unstable; urgency=low

  * dh_compat=4
  * added ftp link to watch file, but still use http
  * install menu icon to /usr/share/pixmaps
  * updated Standards-Version to 3.6.1.0 (no changes)

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Mar 2005 16:11:58 +0100

madbomber (0.2.4-2) unstable; urgency=low

  * remove .xvpics directory in clean target
  * patch from John Lightsey to disable the mouse cursor (closes: #203828)

 -- Christian T. Steigies <cts@debian.org>  Fri,  1 Aug 2003 20:14:01 -0400

madbomber (0.2.4-1) unstable; urgency=low

  * New upstream release

 -- Christian T. Steigies <cts@debian.org>  Mon,  4 Nov 2002 09:53:49 -0500

madbomber (0.1.8-8) unstable; urgency=low

  * update build-depends to latest (fixed) SDL packages
  * recompile (closes: #130148)

 -- Christian T. Steigies <cts@debian.org>  Sun, 20 Jan 2002 14:19:24 -0500

madbomber (0.1.8-7) unstable; urgency=low

  * madbomber-data: Replaces: madbomber (<< 0.1.8-6)

 -- Christian T. Steigies <cts@debian.org>  Sun, 13 Jan 2002 18:44:02 -0500

madbomber (0.1.8-6) unstable; urgency=low

  * re-package, split out -data package
  * ship CHANGES.txt only as changelog

 -- Christian T. Steigies <cts@debian.org>  Sat,  5 Jan 2002 00:16:09 -0500

madbomber (0.1.8-5) unstable; urgency=low

  * include a prebuilt icon, since imagemagick is broken
  * do NOT Build-Depend on imagemagick, since these packages can not even 
    be installed on some architectures

 -- Christian T. Steigies <cts@debian.org>  Wed,  2 Jan 2002 00:01:13 -0500

madbomber (0.1.8-4) unstable; urgency=low

  * Build-Depends on libsdl1.2-dev (>= 1.2.2-3.1), 
    libsdl-image1.2-dev(>= 1.2.0-1.1), libsdl-mixer1.2-dev (>= 1.2.0-1.1)
    due to SDL overhaul

 -- Christian T. Steigies <cts@debian.org>  Wed, 10 Oct 2001 23:55:53 -0400

madbomber (0.1.8-3) unstable; urgency=low

  * remove (unneeded) dh_suidregister from debian/rules
  * build with SDL1.2
  * update standards version
  * do not ship INSTALL.txt

 -- Christian T. Steigies <cts@debian.org>  Mon, 16 Jul 2001 18:36:58 -0400

madbomber (0.1.8-2) unstable; urgency=low

  * rebuild with SDL1.0, sdl-image1.0 and sdl-mixer1.0

 -- Christian T. Steigies <cts@debian.org>  Tue,  7 Nov 2000 21:26:01 +0100

madbomber (0.1.8-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Mon,  3 Jul 2000 22:16:20 +0200

madbomber (0.1.7-1) unstable; urgency=low

  * new upstream version (closes: #65539)

 -- Christian T. Steigies <cts@debian.org>  Tue, 13 Jun 2000 23:18:32 +0200

madbomber (0.1.6-1) unstable; urgency=low

  * new upstream version

 -- Christian T. Steigies <cts@debian.org>  Wed, 24 May 2000 23:36:17 +0200

madbomber (0.1.5-1) unstable; urgency=low

  * new upstream version
  * first upload for debian

 -- Christian T. Steigies <cts@debian.org>  Thu, 10 Feb 2000 21:19:00 +0100

madbomber (0.1.4a-1) unstable; urgency=low

  * Initial Release.

 -- Christian T. Steigies <cts@debian.org>  Sun,  2 Jan 2000 23:07:39 +0100

=== debian/control ===
Source: madbomber
Section: games
Priority: optional
Maintainer: Christian T. Steigies <cts@debian.org>
Build-Depends: debhelper (>= 8.0.0), libsdl1.2-dev (>=1.2.2-3.3), libsdl-mixer1.2-dev (>=1.2.1-2.2), libsdl-image1.2-dev (>=1.2.1-1.1)
Standards-Version: 3.9.2

Package: madbomber
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, madbomber-data
Description: Kaboom! clone
 "Mad Bomber" is a clone of Activision's classic Atari 2600 console
 game, "Kaboom!," by Larry Kaplan, with spruced-up graphics and
 sound effects, and music.
 .
 The Mad Bomber is loose in the city and he's dropping bombs everywhere!
 It's your job to catch them before they hit the ground and explode.
 Luckily, you have a set of trusty buckets to extinguish the bombs with.

Package: madbomber-data
Architecture: all
Depends: ${misc:Depends}
Replaces: madbomber (<< 0.1.8-6)
Description: Datafiles for madbomber
 "Mad Bomber" is a clone of Activision's classic Atari 2600 console
 game, "Kaboom!," by Larry Kaplan, with spruced-up graphics and
 sound effects, and music.
 .
 The Mad Bomber is loose in the city and he's dropping bombs everywhere!
 It's your job to catch them before they hit the ground and explode.
 Luckily, you have a set of trusty buckets to extinguish the bombs with.
 .
 This package contains sound and image files for madbomber

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_clean:
	dh_auto_clean

	-rm -rf data/embedded/images/.xvpics
	-rm -rf data/embedded/images/title/.xvpics

override_dh_auto_build:
	make -j1 DATA_PREFIX=/usr/share/games/madbomber/

override_dh_auto_install:
	make install \
          DESTDIR=/debian/madbomber \
          BIN_PREFIX=debian/madbomber/usr/games \
          MAN_PREFIX=debian/madbomber/usr/share \
          DATA_PREFIX=debian/madbomber/usr/share/games/madbomber

	install -D -m 644 debian/madbomber.6 debian/madbomber/usr/share/man/man6
	install -D -m 644 debian/madbomber-icon.xpm debian/madbomber/usr/share/pixmaps/
	install -D -m 644 debian/madbomber.desktop debian/madbomber/usr/share/applications/

	dh_movefiles --sourcedir=debian/madbomber
	rm -rf debian/madbomber/usr/share/games
	rm -rf debian/madbomber-data/usr/share/games/madbomber/embedded

=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

# Site		Directory		Pattern			Version	Script
#http://nbswebfx.com/downloads/madbomber-([\d\.]+)\.tar\.gz debian uupdate
#ftp://ftp.sonic.net/pub/users/nbs/unix/x/madbomber/src/madbomber-([\d\.]+)\.tar\.gz debian uupdate

ftp://ftp.billsgames.com/unix/x/madbomber/src/madbomber-([\d\.]+)\.tar\.gz debian uupdate
